## ros-dashing-rclcpp 0.7.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclcpp)

find_package(ament_cmake_ros REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rcl REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(rcl_yaml_param_parser REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_implementation REQUIRED)
find_package(rosgraph_msgs REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)
find_package(rosidl_typesupport_c REQUIRED)
find_package(rosidl_typesupport_cpp REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # About -Wno-sign-conversion: With Clang, -Wconversion implies -Wsign-conversion. There are a number of
  # implicit sign conversions in rclcpp and gtest.cc, see https://ci.ros2.org/job/ci_osx/9265/.
  # Hence disabling -Wsign-conversion for now until all those have eventually been fixed.
  # (from https://github.com/ros2/rclcpp/pull/1188#issuecomment-650229140)
  add_compile_options(-Wall -Wextra -Wconversion -Wno-sign-conversion -Wpedantic)
endif()

include_directories(include)

set(${PROJECT_NAME}_SRCS
  src/rclcpp/any_executable.cpp
  src/rclcpp/callback_group.cpp
  src/rclcpp/client.cpp
  src/rclcpp/clock.cpp
  src/rclcpp/context.cpp
  src/rclcpp/contexts/default_context.cpp
  src/rclcpp/duration.cpp
  src/rclcpp/event.cpp
  src/rclcpp/exceptions.cpp
  src/rclcpp/executor.cpp
  src/rclcpp/executors.cpp
  src/rclcpp/expand_topic_or_service_name.cpp
  src/rclcpp/executors/multi_threaded_executor.cpp
  src/rclcpp/executors/single_threaded_executor.cpp
  src/rclcpp/graph_listener.cpp
  src/rclcpp/init_options.cpp
  src/rclcpp/intra_process_manager.cpp
  src/rclcpp/intra_process_manager_impl.cpp
  src/rclcpp/logger.cpp
  src/rclcpp/memory_strategies.cpp
  src/rclcpp/memory_strategy.cpp
  src/rclcpp/node.cpp
  src/rclcpp/node_options.cpp
  src/rclcpp/node_interfaces/node_base.cpp
  src/rclcpp/node_interfaces/node_clock.cpp
  src/rclcpp/node_interfaces/node_graph.cpp
  src/rclcpp/node_interfaces/node_logging.cpp
  src/rclcpp/node_interfaces/node_parameters.cpp
  src/rclcpp/node_interfaces/node_services.cpp
  src/rclcpp/node_interfaces/node_time_source.cpp
  src/rclcpp/node_interfaces/node_timers.cpp
  src/rclcpp/node_interfaces/node_topics.cpp
  src/rclcpp/node_interfaces/node_waitables.cpp
  src/rclcpp/parameter.cpp
  src/rclcpp/parameter_value.cpp
  src/rclcpp/parameter_client.cpp
  src/rclcpp/parameter_events_filter.cpp
  src/rclcpp/parameter_map.cpp
  src/rclcpp/parameter_service.cpp
  src/rclcpp/publisher_base.cpp
  src/rclcpp/qos.cpp
  src/rclcpp/qos_event.cpp
  src/rclcpp/service.cpp
  src/rclcpp/signal_handler.cpp
  src/rclcpp/subscription_base.cpp
  src/rclcpp/time.cpp
  src/rclcpp/time_source.cpp
  src/rclcpp/timer.cpp
  src/rclcpp/type_support.cpp
  src/rclcpp/utilities.cpp
  src/rclcpp/waitable.cpp
)

# "watch" template for changes
configure_file(
  "resource/logging.hpp.em"
  "logging.hpp.em.watch"
  COPYONLY
)
# generate header with logging macros
set(python_code
  "import em"
  "em.invoke(['-o', 'include/rclcpp/logging.hpp', '${CMAKE_CURRENT_SOURCE_DIR}/resource/logging.hpp.em'])")
string(REPLACE ";" "$<SEMICOLON>" python_code "${python_code}")
add_custom_command(OUTPUT include/rclcpp/logging.hpp
  COMMAND ${CMAKE_COMMAND} -E make_directory "include/rclcpp"
  COMMAND ${PYTHON_EXECUTABLE} ARGS -c "${python_code}"
  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/logging.hpp.em.watch"
  COMMENT "Expanding logging.hpp.em"
  VERBATIM
)
list(APPEND ${PROJECT_NAME}_SRCS
  include/rclcpp/logging.hpp)
include_directories("${CMAKE_CURRENT_BINARY_DIR}/include")

add_library(${PROJECT_NAME}
  ${${PROJECT_NAME}_SRCS})
# specific order: dependents before dependencies
ament_target_dependencies(${PROJECT_NAME}
  "rcl"
  "rcl_yaml_param_parser"
  "builtin_interfaces"
  "rosgraph_msgs"
  "rosidl_typesupport_cpp"
  "rosidl_generator_cpp")

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "RCLCPP_BUILDING_LIBRARY")

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rcl)
ament_export_dependencies(builtin_interfaces)
ament_export_dependencies(rosgraph_msgs)
ament_export_dependencies(rosidl_typesupport_cpp)
ament_export_dependencies(rosidl_typesupport_c)
ament_export_dependencies(rosidl_generator_cpp)
ament_export_dependencies(rcl_yaml_param_parser)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(rmw_implementation_cmake REQUIRED)

  include(cmake/rclcpp_add_build_failure_test.cmake)

  ament_add_gtest(test_client test/test_client.cpp)
  if(TARGET test_client)
    ament_target_dependencies(test_client
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_client ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_create_timer test/test_create_timer.cpp)
  if(TARGET test_create_timer)
    ament_target_dependencies(test_create_timer
      "rcl_interfaces"
      "rmw"
      "rcl"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_create_timer ${PROJECT_NAME})
    target_include_directories(test_create_timer PRIVATE test/)
  endif()
  ament_add_gtest(test_expand_topic_or_service_name test/test_expand_topic_or_service_name.cpp)
  if(TARGET test_expand_topic_or_service_name)
    ament_target_dependencies(test_expand_topic_or_service_name
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_expand_topic_or_service_name ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_function_traits test/test_function_traits.cpp)
  if(TARGET test_function_traits)
    ament_target_dependencies(test_function_traits
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
  endif()
  ament_add_gtest(test_mapped_ring_buffer test/test_mapped_ring_buffer.cpp)
  if(TARGET test_mapped_ring_buffer)
    ament_target_dependencies(test_mapped_ring_buffer
      "rcl"
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
  endif()
  ament_add_gtest(test_intra_process_manager test/test_intra_process_manager.cpp)
  if(TARGET test_intra_process_manager)
    ament_target_dependencies(test_intra_process_manager
      "rcl"
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
  endif()
  ament_add_gtest(test_node test/test_node.cpp)
  if(TARGET test_node)
    ament_target_dependencies(test_node
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_node ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_node_interfaces__get_node_interfaces
    test/node_interfaces/test_get_node_interfaces.cpp)
  if(TARGET test_node_interfaces__get_node_interfaces)
    target_link_libraries(test_node_interfaces__get_node_interfaces ${PROJECT_NAME})
  endif()

  # TODO(wjwwood): reenable these build failure tests when I can get Jenkins to ignore their output
  # rclcpp_add_build_failure_test(build_failure__get_node_topics_interface_const_ref_rclcpp_node
  #   test/node_interfaces/test_does_not_compile/get_node_topics_interface_const_ref_rclcpp_node.cpp)
  # target_link_libraries(build_failure__get_node_topics_interface_const_ref_rclcpp_node
  #   ${PROJECT_NAME})

  # rclcpp_add_build_failure_test(build_failure__get_node_topics_interface_const_ptr_rclcpp_node
  #   test/node_interfaces/test_does_not_compile/get_node_topics_interface_const_ptr_rclcpp_node.cpp)
  # target_link_libraries(build_failure__get_node_topics_interface_const_ptr_rclcpp_node
  #   ${PROJECT_NAME})

  # rclcpp_add_build_failure_test(build_failure__get_node_topics_interface_const_ref_wrapped_node
  #   test/node_interfaces/test_does_not_compile/get_node_topics_interface_const_ref_wrapped_node.cpp)
  # target_link_libraries(build_failure__get_node_topics_interface_const_ref_rclcpp_node
  #   ${PROJECT_NAME})

  # rclcpp_add_build_failure_test(build_failure__get_node_topics_interface_const_ptr_wrapped_node
  #   test/node_interfaces/test_does_not_compile/get_node_topics_interface_const_ptr_wrapped_node.cpp)
  # target_link_libraries(build_failure__get_node_topics_interface_const_ptr_rclcpp_node
  #   ${PROJECT_NAME})

  ament_add_gtest(test_node_global_args test/test_node_global_args.cpp)
  if(TARGET test_node_global_args)
    ament_target_dependencies(test_node_global_args
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_node_global_args ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_parameter_client test/test_parameter_client.cpp)
  if(TARGET test_parameter_client)
    ament_target_dependencies(test_parameter_client
      "rcl_interfaces"
    )
    target_link_libraries(test_parameter_client ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_parameter_events_filter test/test_parameter_events_filter.cpp)
  if(TARGET test_parameter_events_filter)
    ament_target_dependencies(test_parameter_events_filter
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_parameter_events_filter ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_parameter test/test_parameter.cpp)
  if(TARGET test_parameter)
    ament_target_dependencies(test_parameter
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_parameter ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_parameter_map test/test_parameter_map.cpp)
  if(TARGET test_parameter_map)
    target_link_libraries(test_parameter_map ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_publisher test/test_publisher.cpp)
  if(TARGET test_publisher)
    ament_target_dependencies(test_publisher
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_publisher ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_publisher_subscription_count_api test/test_publisher_subscription_count_api.cpp)
  if(TARGET test_publisher_subscription_count_api)
    ament_target_dependencies(test_publisher_subscription_count_api
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_publisher_subscription_count_api ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_rate test/test_rate.cpp)
  if(TARGET test_rate)
    ament_target_dependencies(test_rate
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_rate
      ${PROJECT_NAME}
    )
  endif()
  ament_add_gtest(test_serialized_message_allocator test/test_serialized_message_allocator.cpp)
  if(TARGET test_serialized_message_allocator)
    ament_target_dependencies(test_serialized_message_allocator
      test_msgs
    )
    target_link_libraries(test_serialized_message_allocator
      ${PROJECT_NAME}
    )
  endif()
  ament_add_gtest(test_service test/test_service.cpp)
  if(TARGET test_service)
    ament_target_dependencies(test_service
      "rcl_interfaces"
      "rmw"
      "rosidl_generator_cpp"
      "rosidl_typesupport_cpp"
    )
    target_link_libraries(test_service ${PROJECT_NAME})
  endif()
  ament_add_gtest(test_subscription test/test_subscription.cpp)
  if(TARGET test_subscription)

=== debian/changelog ===
ros-dashing-rclcpp (0.7.16-1bionic) bionic; urgency=high

  * Fix documented example in create_publisher. (#1558 <https://github.com/ros2/rclcpp/issues/1558>) (#1560 <https://github.com/ros2/rclcpp/issues/1560>)
  * Fix NodeOptions copy constructor. (#1376 <https://github.com/ros2/rclcpp/issues/1376>) (#1466 <https://github.com/ros2/rclcpp/issues/1466>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 May 2021 07:00:00 -0000

ros-dashing-rclcpp (0.7.15-1bionic) bionic; urgency=high

  * Fix implementation of NodeOptions::use_global_arguments(). (#1176 <https://github.com/ros2/rclcpp/issues/1176>) (#1206 <https://github.com/ros2/rclcpp/issues/1206>)
  * Fix conversion of negative durations to messages. (#1188 <https://github.com/ros2/rclcpp/issues/1188>) (#1207 <https://github.com/ros2/rclcpp/issues/1207>)
  * Type conversions fixes. (#901 <https://github.com/ros2/rclcpp/issues/901>) (#1209 <https://github.com/ros2/rclcpp/issues/1209>)
  * Add operator!= for duration (#1236 <https://github.com/ros2/rclcpp/issues/1236>) (#1277 <https://github.com/ros2/rclcpp/issues/1277>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Monika Idzik

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Nov 2020 08:00:00 -0000

ros-dashing-rclcpp (0.7.14-1bionic) bionic; urgency=high

  * Fixed doxygen warnings. (#1208 <https://github.com/ros2/rclcpp/issues/1208>)
  * Check if context is valid when looping in spin_some. (#1167 <https://github.com/ros2/rclcpp/issues/1167>)
  * Fix spin_until_future_complete: check spinning value. (#1023 <https://github.com/ros2/rclcpp/issues/1023>)
  * Fix exception on rcl_clock_init. (#1195 <https://github.com/ros2/rclcpp/issues/1195>)
  * Fix lock-order-inversion (potential deadlock). (#1138 <https://github.com/ros2/rclcpp/issues/1138>)
  * Contributors: Alejandro Hernández Cordero, DongheeYe, Ivan Santiago Paunovic, tomoya

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 Jul 2020 07:00:00 -0000

ros-dashing-rclcpp (0.7.13-1bionic) bionic; urgency=high

  * Don't specify calling convention in std::_Binder template. (#1015 <https://github.com/ros2/rclcpp/issues/1015>)
  * Contributors: Jacob Perron, Sean Kelly

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 12 Mar 2020 07:00:00 -0000

ros-dashing-rclcpp (0.7.12-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 05 Dec 2019 08:00:00 -0000

ros-dashing-rclcpp (0.7.11-1bionic) bionic; urgency=high

  * Fix get_node_*_interface functions taking a pointer (#870 <https://github.com/ros2/rclcpp/pull/870>).
  * Fix hang with timers in MultiThreadedExecutor (#869 <https://github.com/ros2/rclcpp/pull/869>).
  * Contributors: Todd Malsbary, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.10-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 23 Sep 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.9-1bionic) bionic; urgency=high

  * add mutex in add/remove_node and wait_for_work to protect concurrent use/change of memory_strategy_ (#837 <https://github.com/ros2/rclcpp/issues/837>) (#857 <https://github.com/ros2/rclcpp/issues/857>)
  * Contributors: Zachary Michaels

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.7-1bionic) bionic; urgency=high

  * Enabled the creation of a parameter YAML file which is applied to each node. (#805 <https://github.com/ros2/rclcpp/issues/805>)
  * Fixed a signed/unsigned integer comparison compiler warning. (#804 <https://github.com/ros2/rclcpp/issues/804>)
  * Changed the QoS profile used when subscribing to parameter events to match the publishing side, i.e. ``rmw_qos_profile_parameter_events``. (#798 <https://github.com/ros2/rclcpp/issues/798>)
  * Changed the logic in TimeSource to ignore use_sim_time parameter events coming from other nodes. (#803 <https://github.com/ros2/rclcpp/issues/803>)
  * Added missing default values in the NodeParametersInterface. (#794 <https://github.com/ros2/rclcpp/issues/794>)
  * Added support for const member callback functions. (#763 <https://github.com/ros2/rclcpp/issues/763>)
  * Contributors: Esteve Fernandez, Gonzo, Karsten Knese, Michel Hidalgo, Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.6-1bionic) bionic; urgency=high

  * Ignore parameters overrides in set parameter methods when allowing undeclared parameters (#756 <https://github.com/ros2/rclcpp/issues/756>)
  * Add rclcpp::create_timer() (#757 <https://github.com/ros2/rclcpp/issues/757>)
  * checking origin of intra-process msg before taking them (#753 <https://github.com/ros2/rclcpp/issues/753>)
  * Contributors: Alberto Soragna, Shane Loretz, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.5-1bionic) bionic; urgency=high

  * Avoid 'Intra process message no longer being stored when trying to handle it' warning (#749 <https://github.com/ros2/rclcpp/issues/749>)
  * Contributors: ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-dashing-rclcpp (0.7.4-1bionic) bionic; urgency=high

  * Rename parameter options (#745 <https://github.com/ros2/rclcpp/issues/745>)
  * Bionic use of strerror_r (#742 <https://github.com/ros2/rclcpp/issues/742>)
  * Enforce parameter ranges (#735 <https://github.com/ros2/rclcpp/issues/735>)
  * removed not used parameter client (#740 <https://github.com/ros2/rclcpp/issues/740>)
  * ensure removal of guard conditions of expired nodes from memory strategy (#741 <https://github.com/ros2/rclcpp/issues/741>)
  * Fix typo in log warning message (#737 <https://github.com/ros2/rclcpp/issues/737>)


=== debian/control ===
Source: ros-dashing-rclcpp
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-builtin-interfaces, ros-dashing-rcl, ros-dashing-rcl-interfaces, ros-dashing-rcl-yaml-param-parser, ros-dashing-rmw, ros-dashing-rmw-implementation, ros-dashing-rmw-implementation-cmake, ros-dashing-rosgraph-msgs, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-c, ros-dashing-rosidl-typesupport-cpp, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rclcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-cmake, ros-dashing-builtin-interfaces, ros-dashing-rcl, ros-dashing-rcl-interfaces, ros-dashing-rcl-yaml-param-parser, ros-dashing-rmw, ros-dashing-rmw-implementation, ros-dashing-rosgraph-msgs, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-c, ros-dashing-rosidl-typesupport-cpp, ros-dashing-ros-workspace
Description: The ROS client library in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rclcpp//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
